Skip to main content
POST
/
simulate
/
accounts
/
{acc_id}
/
transactions
curl https://dev.methodfi.com/simulate/accounts/{acc_id}/transactions \
  -X POST \
  -H "Method-Version: 2025-12-01" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "purchase"
  }'
{
  "id": "txn_t73AdHRFYwhT9",
  "account_id": "acc_XtKTpHLGhD9Qn",
  "status": "posted",
  "descriptor": "SQ *BENNU COFFEE",
  "merchant": null,
  "merchant_category_code": "5441",
  "amount": 3764,
  "auth_amount": 3764,
  "currency_code": "USD",
  "transaction_amount": 3764,
  "transaction_auth_amount": 3764,
  "transaction_currency_code": "USD",
  "transacted_at": "2025-03-05T07:48:06.000Z",
  "posted_at": "2025-03-06T05:00:00.000Z",
  "voided_at": null,
  "original_txn_id": null,
  "created_at": "2025-03-24T03:54:29.283Z",
  "updated_at": "2025-03-24T04:04:39.200Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Transaction simulation is available for Credit Card Accounts that have been verified and are subscribed to the Transactions product. Simulating a Transaction will mimic a new transaction created by the credit card networks for a specific Account.

Path Parameters

Body

Returns

Returns the Transaction object.
curl https://dev.methodfi.com/simulate/accounts/{acc_id}/transactions \
  -X POST \
  -H "Method-Version: 2025-12-01" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "purchase"
  }'
{
  "id": "txn_t73AdHRFYwhT9",
  "account_id": "acc_XtKTpHLGhD9Qn",
  "status": "posted",
  "descriptor": "SQ *BENNU COFFEE",
  "merchant": null,
  "merchant_category_code": "5441",
  "amount": 3764,
  "auth_amount": 3764,
  "currency_code": "USD",
  "transaction_amount": 3764,
  "transaction_auth_amount": 3764,
  "transaction_currency_code": "USD",
  "transacted_at": "2025-03-05T07:48:06.000Z",
  "posted_at": "2025-03-06T05:00:00.000Z",
  "voided_at": null,
  "original_txn_id": null,
  "created_at": "2025-03-24T03:54:29.283Z",
  "updated_at": "2025-03-24T04:04:39.200Z"
}